Subject: [Add] Optimistic security signalling

From: Rob Sayre <[email-masked]>
Date: Mon, 30 Dec 2019 18:32:07 -0800

Hi,

I thought the message below was interesting.

Could we generalize the mechanism given in
https://tools.ietf.org/html/draft-grover-add-policy-detection-00 to all
security protocols?

That way, the network could signal which kinds of encryption are allowed
via DHCP and DNS.

thanks,
Rob

---------- Forwarded message ---------
From: Mail Delivery Subsystem <[email-masked]>
Date: Mon, Dec 30, 2019 at 6:08 PM
Subject: Delivery Status Notification (Failure)
To: <[email-masked]>

Message blocked
Your message to [email-masked]* has been blocked. See technical details
below for more information.
The response from the remote server was:

553 5.7.1 Message not accepted

---------- Forwarded message ----------
From: Rob Sayre <[email-masked]>
To: John Levine <[email-masked]>
Cc: ADD Mailing list <[email-masked]>
Bcc:
Date: Mon, 30 Dec 2019 18:08:05 -0800
Subject: Re: [Add] A proposed charter for ABCD

On Mon, Dec 30, 2019 at 6:01 PM John Levine <[email-masked]> wrote:

> In article <CAChr6Sxm2GuHFTqOjtq=
> [email-masked]> you write:
> >Here is a lobbying letter from an industry association:
> >
> https://www.ncta.com/sites/default/files/2019-09/Final%20DOH%20LETTER%209-19-19.pdf
> >
> >It is from September 19th, 2019. It mentions advertising explicitly. There
> >are numerous press articles about this letter, so I won't delve further
> >into its contents.
>
> The letter you linked to is two pages of FUD accusing Google of
> planning to do all sorts of terrible things without a shred of
> evidence.  It is flatly contradicted by Google's own statements about
> their DoH deployment plans.
>

I can't say I disagree with your assessment.

But, the letter does mention that encrypted DNS might harm competition in
the advertising space. The actual text is:

"This could inhibit competitors and possibly foreclose competition in
advertising and other industries."

How could encrypted DNS harm competition in advertising if unencrypted DNS
weren't being used for advertising?

thanks,
Rob